Integration Checkout

Create a new items checkout

post

This endpoint creates a new items checkout without creating an installment request. If the group has multiple entities, each item must specify an entity ID. The customer will be redirected to a checkout page where they can register/login and review the items information.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
reference_idstring · max: 255Optional

The reference ID for the checkout

Example: order_12345
Responses
chevron-right
200

The checkout is created successfully

*/*
checkout_idstring · uuidOptional

The checkout ID

redirect_urlstring · uriOptional

The URL to redirect the user to

creation_datestring · date-timeOptional

The creation date of the checkout

reference_idstringOptional

The reference ID associated with the checkout

post
/v3/checkout

Create a new schooling checkout

post

This endpoint creates a new schooling checkout without creating an installment request. The customer will be redirected to a checkout page where they can register/login and review the student information.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
reference_idstring · max: 255Optional

The reference ID for the checkout

Example: order_12345
Responses
chevron-right
200

The checkout is created successfully

*/*
checkout_idstring · uuidOptional

The checkout ID

redirect_urlstring · uriOptional

The URL to redirect the user to

creation_datestring · date-timeOptional

The creation date of the checkout

reference_idstringOptional

The reference ID associated with the checkout

post
/v3/checkout/schooling

Get checkout details

get

This endpoint returns the checkout details for the given checkout ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstring · uuidRequired
Responses
chevron-right
200

Checkout details retrieved successfully

*/*
checkout_idstring · uuidOptional

The checkout ID

checkout_typestring · enumOptional

The type of checkout

Possible values:
reference_idstringOptional

The reference ID associated with the checkout

statusstring · enumOptional

The status of the checkout

Possible values:
get
/v3/checkout/{id}

Last updated